Package ru.bitel.bgbilling.kernel.admin.webmenu.server.bean

# Class WebContractSearchModuleBase

java.lang.Object
ru.bitel.bgbilling.kernel.admin.webmenu.server.bean.WebContractSearchModuleBase

All Implemented Interfaces:
  `WebContractSearchModule`

    public abstract class WebContractSearchModuleBase
    extends java.lang.Object
    implements WebContractSearchModule

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.sql.Connection` | `connection` |
  `protected java.util.List<WebContractSearchParam>` | `contractSearchParams` |
  `protected WebContractSearchParam` | `popupHintCount` |
  `protected WebContractSearchParam` | `searchByContractParamId` |
  `protected WebContractSearchParam` | `searchByCustomer` |
  `protected WebContractSearchParam` | `searchTextComment` |
  `protected WebContractSearchParam` | `searchTextPlaceHolder` |
  `protected WebContractSearchParam` | `title` |
  `protected WebContractSearchParam` | `useForAccessRestore` |
  `protected WebContractSearchParam` | `useForPayment` |
  `protected WebContractSearchParam` | `verifyByContractParameterEmailId` |
  `protected WebContractSearchParam` | `verifyByContractParameterPhoneId` |
  `protected WebContractSearchParam` | `verifyByCustomerEmail` |
  `protected WebContractSearchParam` | `verifyByCustomerFIO` |
  `protected WebContractSearchParam` | `verifyByCustomerPhone` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WebContractSearchModuleBase()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<IdTitle>` | `doHintSearch​(java.lang.String searchText)` |
  `java.util.List<WebContractSearchResult>` | `doSearch​(java.lang.String searchText)` |
  `java.util.List<WebContractSearchParam>` | `getParameters()` |
  `protected java.lang.String` | `getPopupHintCount()` |
  `java.lang.String` | `getSearchTextComment()` |
  `protected java.lang.String` | `getSearchTextCommentText()` |
  `java.lang.String` | `getSearchTextPlaceHolder()` |
  `protected java.lang.String` | `getSearchTextPlaceHolderText()` |
  `java.lang.String` | `getTitle()` |
  `protected java.lang.String` | `getTitleText()` |
  `void` | `init​(java.sql.Connection connection)` |
  `boolean` | `useForAccessRestore()` |
  `boolean` | `useForPayment()` |
  `boolean` | `useHintSerach()` |
  `protected void` | `verifyByContractParameterEmail​(java.util.List<WebContractSearchResult> results, int paramId)` |
  `protected void` | `verifyByContractParameterPhone​(java.util.List<WebContractSearchResult> results, int paramId)` |
  `protected void` | `verifyByCustomerEmail​(java.util.List<WebContractSearchResult> results)` |
  `protected void` | `verifyByCustomerField​(java.util.List<WebContractSearchResult> results, java.lang.String fieldName, java.lang.String verifyTitle)` |
  `protected void` | `verifyByCustomerPhone​(java.util.List<WebContractSearchResult> results)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### connection

    protected java.sql.Connection connection

  - ### title

    protected WebContractSearchParam title

  - ### useForAccessRestore

    protected WebContractSearchParam useForAccessRestore

  - ### useForPayment

    protected WebContractSearchParam useForPayment

  - ### searchTextComment

    protected WebContractSearchParam searchTextComment

  - ### searchTextPlaceHolder

    protected WebContractSearchParam searchTextPlaceHolder

  - ### searchByCustomer

    protected WebContractSearchParam searchByCustomer

  - ### searchByContractParamId

    protected WebContractSearchParam searchByContractParamId

  - ### popupHintCount

    protected WebContractSearchParam popupHintCount

  - ### verifyByCustomerFIO

    protected WebContractSearchParam verifyByCustomerFIO

  - ### verifyByCustomerEmail

    protected WebContractSearchParam verifyByCustomerEmail

  - ### verifyByCustomerPhone

    protected WebContractSearchParam verifyByCustomerPhone

  - ### verifyByContractParameterEmailId

    protected WebContractSearchParam verifyByContractParameterEmailId

  - ### verifyByContractParameterPhoneId

    protected WebContractSearchParam verifyByContractParameterPhoneId

  - ### contractSearchParams

    protected java.util.List<WebContractSearchParam> contractSearchParams

- ## Constructor Details

  - ### WebContractSearchModuleBase

    public WebContractSearchModuleBase()

- ## Method Details

  - ### init

    public void init​(java.sql.Connection connection)
    Specified by:
      `init` in interface `WebContractSearchModule`

  - ### doHintSearch

    public java.util.List<IdTitle> doHintSearch​(java.lang.String searchText) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `doHintSearch` in interface `WebContractSearchModule`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doSearch

    public java.util.List<WebContractSearchResult> doSearch​(java.lang.String searchText) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `doSearch` in interface `WebContractSearchModule`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### useHintSerach

    public boolean useHintSerach()
    Specified by:
      `useHintSerach` in interface `WebContractSearchModule`

  - ### getTitle

    public java.lang.String getTitle()
    Specified by:
      `getTitle` in interface `WebContractSearchModule`

  - ### useForAccessRestore

    public boolean useForAccessRestore()
    Specified by:
      `useForAccessRestore` in interface `WebContractSearchModule`

  - ### useForPayment

    public boolean useForPayment()
    Specified by:
      `useForPayment` in interface `WebContractSearchModule`

  - ### getParameters

    public java.util.List<WebContractSearchParam> getParameters()
    Specified by:
      `getParameters` in interface `WebContractSearchModule`

  - ### getSearchTextPlaceHolder

    public java.lang.String getSearchTextPlaceHolder()
    Specified by:
      `getSearchTextPlaceHolder` in interface `WebContractSearchModule`

  - ### getSearchTextComment

    public java.lang.String getSearchTextComment()
    Specified by:
      `getSearchTextComment` in interface `WebContractSearchModule`

  - ### getSearchTextPlaceHolderText

    protected java.lang.String getSearchTextPlaceHolderText()

  - ### getSearchTextCommentText

    protected java.lang.String getSearchTextCommentText()

  - ### getTitleText

    protected java.lang.String getTitleText()

  - ### getPopupHintCount

    protected java.lang.String getPopupHintCount()

  - ### verifyByContractParameterEmail

    protected void verifyByContractParameterEmail​(java.util.List<WebContractSearchResult> results, int paramId)

  - ### verifyByContractParameterPhone

    protected void verifyByContractParameterPhone​(java.util.List<WebContractSearchResult> results, int paramId)

  - ### verifyByCustomerEmail

    protected void verifyByCustomerEmail​(java.util.List<WebContractSearchResult> results)

  - ### verifyByCustomerPhone

    protected void verifyByCustomerPhone​(java.util.List<WebContractSearchResult> results)

  - ### verifyByCustomerField

    protected void verifyByCustomerField​(java.util.List<WebContractSearchResult> results, java.lang.String fieldName, java.lang.String verifyTitle)